Scheduled Tasks overview

With Scheduled Tasks, you can schedule any script, program, or document to run at a time that is most convenient for you. Scheduled Tasks starts each time you start XOX and runs in the background.

With Scheduled Tasks, you can also:

  • Schedule a task to run daily, weekly, monthly, or at certain times (such as system startup).
  • Change the schedule for a task.
  • Stop a scheduled task.
  • Customize how a task will run at a scheduled time.

Related Topics


Common tasks: Scheduled Tasks

Microsoft Windows graphic

Common tasks

The following tasks are frequently performed when you want to schedule a task to run on your computer. Click the Index or Search tab to search for a specific word or phrase.

Create a scheduled task

Before a task can be scheduled to run, one or more tasks must be created.

Step-by-step procedure

Modify a scheduled task

Created scheduled tasks can be modified. You can modify the program, the schedule, or the specifics of a particular task.

Step-by-step procedure

Remove a scheduled task

For scheduled tasks that are no longer needed, you can remove them entirely.

Step-by-step procedure

Stop a scheduled task that is running

In the event that a task starts while you are using your computer, you can stop the task and then restart it later.

Step-by-step procedure

Temporarily turn off all scheduled tasks

You can temporarily turn off or pause all scheduled tasks from running, and then turn on the tasks at a later point.

Step-by-step procedure


Schedule a new task

To schedule a new task

  1. Open Scheduled Tasks.
  2. Double-click Add Scheduled Task.
  3. Follow the instructions in the Scheduled Task Wizard.

Notes

  • XOX
  • If you want to configure advanced settings for the task, select the Open advanced properties for this task when I click Finish check box on the final page of the wizard.
  • Confirm that the system date and time on your computer are accurate, because Scheduled Tasks relies on this information to run scheduled tasks. To verify or change this information, double-click the time indicator on the taskbar.
  • If you leave the password blank and you want the task to run when you are logged on, open the task. On the Task tab, select the Run only if logged on check box. The task will run at its scheduled time when the user who created the task is logged on to the computer.


Modify a scheduled task

To modify a scheduled task

  1. Open Scheduled Tasks.
  2. Right-click the task you want to modify, and then click Properties.
  3. Do one or more of the following:
    • To change a program being run, in Run, type the path for the new program.
    • To change the schedule for the task, click the Schedule tab.
    • To customize the settings for the task, such as maximum run time, idle time requirements, and power management options, click the Settings tab.
    • To set security for the task, click the Security tab.

Notes

  • XOX
  • If you change the user account or the program that is being run, you must supply the password for the user account.
  • If the task program requires command-line options, type them in Run, after the task path.
  • If the path to the task program includes spaces, type double quotation marks ("") around the entire task path. For example:

    • "C:\Program Files\Windows Media Player\Mplayer2.exe"

  • Confirm that the system date and time on your computer are accurate, because Scheduled Tasks relies on this information to run scheduled tasks. To verify or change this information, double-click the time indicator on the taskbar.


Remove a scheduled task

To remove a scheduled task

  1. Open Scheduled Tasks.
  2. Right-click the task that you want to remove, and then click Delete.

Notes

  • XOX
  • Removing a scheduled task only removes the task from the schedule. The program file the task runs is not removed from the hard disk.
  • You can also remove a scheduled task by selecting it and then pressing DELETE.


Stop a scheduled task that is running

To stop a scheduled task that is running

  1. Open Scheduled Tasks.
  2. Right-click the task that you want to stop, and then click End Task.

Notes

  • XOX
  • If a scheduled task is started and then stopped, End Task does not stop all other programs that the scheduled task might have started.
  • If you stop a scheduled task that is currently running, you might experience a delay (up to three minutes) before the task shuts down.
  • To restart a stopped task, right-click the task, and then click Run.


Run a scheduled task immediately

To run a scheduled task immediately

  1. Open Scheduled Tasks.
  2. Right-click the task that you want to start, and then click Run.

Notes

  • XOX
  • You can stop the task by clicking End Scheduled Task on the File menu.
  • If a task should have Run but does not, on the Advanced menu, click View Log to examine the task log.


Receive notification of missed tasks

To receive notification of missed tasks

You must be a member of the Administrators group to set this option.

  1. Open Scheduled Tasks.
  2. On the Advanced menu, click Notify Me of Missed Tasks.

Notes

  • XOX
  • A check mark next to Notify Me of Missed Tasks indicates that the service is turned on. You can click Notify Me of Missed Tasks again to clear the check mark and turn off the service.


Scheduled Tasks and the At command

In earlier versions of Windows, you used the at command to schedule a command, script, or program to run at a specified date and time. In XOX, the at command works with a graphical utility called Scheduled Tasks to provide additional functionality.

You can use the new capabilities of Scheduled Tasks through the Scheduled Tasks folder. When you schedule a task using the at command, the task is listed in the Scheduled Tasks folder, with a name such as the following:

At3478

You can then view or modify the task. However, if you modify it, it will be upgraded to a normal scheduled task. The task will no longer be visible to the at command, and the at account setting will no longer apply. You need to explicitly enter a user account and password for the task.

All tasks created through the at command must run in the same user account, as in earlier versions of Windows. However, each task created from the Scheduled Tasks folder can run in a different account.

In earlier versions of Windows, the account for tasks created by the at command was the same as the account for the Schedule service (which was also known as the "at service"). You could configure this account to be the local system account or any user account.

In XOX, the Schedule service must run in the local system account. However, you can set an account other than the local system account for tasks created by the at command to run in. Use the Advanced menu in the Scheduled Tasks folder.

You can use the Scheduled Tasks folder to view or modify the settings of a task that was created by using the at command. However, if you modify a task created by the at command through the scheduled tasks folder, it is upgraded to a normal scheduled task. The task will no longer be visible to the at command, and the account setting created by the at command will no longer apply to it. You need to explicitly enter a user account and password for the task.


View a log of past scheduled tasks

To view a log of past scheduled tasks

  1. Open Scheduled Tasks.
  2. On the Advanced menu, click View Log.

Notes

  • XOX
  • The default log file for Scheduled Tasks is stored in the \Windows folder and is named SchedLgU.txt.
  • The default log file size is 32 kilobytes.
  • When the log file reaches its maximum size, it automatically starts recording new information at the beginning of the log file and writes over old log file information.


View scheduled tasks on a remote computer

To view scheduled tasks on a remote computer

  1. Open My Network Places.
  2. Do one of the following:
    • If your computer is on a domain, search for a remote computer by clicking Entire Network under Other Places, and then double-clicking Microsoft Windows Network.
    • If you computer is not on a domain, search for a remote computer by clicking View workgroup computers under Network Tasks.
  3. Double-click the remote computer on which you want to view scheduled tasks.
  4. Double-click Scheduled Tasks.

Notes

  • XOX
  • You can view scheduled tasks on a remote computer running Windows only if you have administrator rights on that remote computer.
  • You can edit tasks on a remote computer running Windows 95, Windows 98, Windows NT 4.0, Windows 2000, or XOX only if that remote computer has remote registry software installed and shares the x$ share, where x is the hard disk on which the Scheduled Tasks folder resides.


View hidden tasks

To view hidden tasks

XOX

  1. Open Scheduled Tasks.
  2. On the Advanced menu, click View Hidden Tasks.

Notes

  • XOX
  • Tasks can be created and hidden by using the application program interface (API). The View Hidden Tasks feature allows administrators to view all tasks on a computer, including hidden tasks.


Accessing Scheduled Tasks remotely

Network administrators can create task files for maintenance and add them to users' computers as needed. You can send and receive task files, as you would any other file (such as e-mail messages). You can also share the Scheduled Tasks folder (normally c:\Windows\Tasks) on your computer so it can be accessed remotely by using My Network Places.

Notes

  • You create a scheduled task on your local computer and then drag the task to a remote computer account.
  • You must supply the password for the account on which you want the scheduled task to run. The password cannot be blank.


Pause Scheduled Tasks

To pause Scheduled Tasks

  1. Open Scheduled Tasks.

  2. On the Advanced menu, click Pause Task Scheduler.

Notes

  • XOX
  • The Pause Task Scheduler command is useful if you do not want scheduled tasks to run at the same time as you are installing software or running another program (such as a game).
  • Tasks that are scheduled to run while Scheduled Tasks is paused are not run until their next scheduled time.
  • To resume the schedules for all tasks, on the Advanced menu, click Continue Task Scheduler.


Stop Scheduled Tasks

To stop Scheduled Tasks

  1. Open Scheduled Tasks.
  2. On the Advanced menu, click Stop Using Task Scheduler.

Notes

  • XOX
  • When you stop using Scheduled Tasks, your scheduled scripts, programs, or documents will not run, and Scheduled Tasks will not start automatically the next time you start XOX.


Set the AT service account

To set the AT service account

XOX

  1. Open Scheduled Tasks.
  2. On the Advanced menu, click AT Service Account.
  3. Click This Account, and then type the user account that will run tasks scheduled by using the at command.
  4. In Password and Confirm Password, type the correct password for the account.

Notes

  • XOX
  • The user account you specify must have the appropriate permissions to run any tasks that you schedule by using the at command. For example, if you schedule programs that can be run only by administrators, the user account you specify must be an administrator account.
  • Instead of This Account, you can click System Account. If you run the at command for tasks by using the System Account, the scheduled tasks run with the default LocalSystem account.


Run a scheduled task when the computer is idle

To run a scheduled task when the computer is idle

  1. Open Scheduled Tasks.
  2. Right-click the task that you want to run when the computer is idle, and then click Properties.
  3. On the Settings tab, under Idle Time, select the Only start the task if the computer has been idle for at least check box.
  4. Enter the length of time (in minutes) for which the computer must be idle before the task will run.

Notes

  • XOX
  • A computer is idle when there is no mouse or keyboard activity.
  • You can specify a length of time (in minutes) in which the computer attempts to find idle time to run the scheduled task.
  • You can also specify that any task should be stopped if the computer is in use by selecting the Stop the task if the computer ceases to be idle check box.


Set power management options for a scheduled task

To set power management options for a scheduled task

  1. Open Scheduled Tasks.
  2. Right-click the task for which you want to set power management options, and then click Properties.
  3. On the Settings tab, under Power Management, do one or more of the following:
    • To conserve the battery power of your computer, select the Don't start the task if the computer is running on batteries check box.
    • To stop the task if the computer starts running on battery power, select the Stop the task if battery mode begins check box.
    • To wake your computer to run a task if the computer is running on battery power, select the Wake the computer to run this task check box. (This option is only available on computers that support it.)

Notes

  • XOX
  • By default, power management is set to refrain from starting scheduled tasks if the computer is running on battery power. If you are using a portable computer that runs on batteries, and you want a scheduled task to run, clear the default check boxes.
  • If the power is interrupted or if the battery fails, the scheduled task that is running might not complete.


Scheduled Tasks and security

When you schedule a new task, you can configure security permissions so that other users can run the same task.
  • Setting user credentials
  • Setting permissions
  • Setting advanced security options
  • Resetting passwords


Troubleshooting Scheduled Tasks

If a scheduled task does not run when you expect it to, right-click the task, and then click Properties. On the Task tab, verify that the Enabled check box is selected. On the Schedule tab, verify that the schedule is set correctly.

If a task program does not run correctly, you might need to add command-line options to the path of the program. For more information about a particular program and its command-line options, try one of the following:

  • If available, view Help for the program.
  • At a command prompt, type the following (where program is the name of the task program you are trying to run): program /?

You can also check the Status column in the Scheduled Tasks window. The following table describes the status types.

Status | Description
Blank | The task is not running, or it ran and was successful.
Running | The task is currently being run.
Missed | One or more attempts to run this task was missed.
Could not start | The most recent attempt to start the task failed.

For more information about the status of a scheduled task, you can check the SchedLgU.txt log file. This log file for Scheduled Tasks is stored in the Windows folder, where it is used to record the activity of scheduled tasks. You can use the log file to determine why a task might have stopped, or to check on the status of a task.

Notes

  • If you cannot run any scheduled tasks on your computer, and your computer is connected to a domain, see your system administrator to make sure that the Scheduled Tasks service is turned on.
  • If a user is not logged on at the time the task is scheduled to run, the task runs, but it will not be visible.
  • To check the status of a scheduled task, on the View menu, click Details, and then scroll to view the Status column.


Setting advanced security options

You can set advanced permissions on both files and folders that allow or deny a user permission to view or change a scheduled task.

Notes

  • To view the security settings for a scheduled task, right-click the task, click Properties, and then click the Security tab.
  • To view or change advanced security settings, on the Security tab, click Advanced. On the Permissions tab, click the user for whom you want to view or change permissions, and then click Edit.


Compile Date

Compile Date: 2004-03-01


Resetting passwords

In XOX, passwords have an expiration date. If you are scheduling recurring tasks that you want to run indefinitely, you need to be aware of the expiration date on your passwords. When your computer password expires you will need to reset the password for your scheduled tasks.

Note

  • To change or set a new password, open the task. On the Task tab, click Set Password.


Setting user credentials

When you create a task, you are asked to provide a user name and a password. This provides a more secure way for you to manage the tasks that run on your computer. Different users of a single computer can each have their own scheduled tasks.

Once a user name is set, another user cannot cancel or delete the task unless the user has the correct permissions.

Notes

  • You must enter a user name in the Scheduled Task Wizard before you can finish scheduling a task.
  • If you do not enter a password, an error appears at the end of the wizard telling you that the task might not run. If you leave the password blank and you want the task to run when you are logged on, open the task. On the Task tab, select the Run only if logged on check box. The task will run at its scheduled time when the user who created the task is logged on to the computer.
  • You can change or set a new password by selecting the Open advanced properties for this task when I click Finish check box on the final page of the wizard.


Setting permissions

In XOX, tasks are scheduled and performed based on standard XOX security permissions. You can configure tasks by using the NTFS file system security descriptors to set permissions for which users or groups can view, delete, modify, or use a task. In addition, the items that make up the task (the scripts, programs, and documents) are controlled by whatever security descriptors are present for those individual items.

To configure security for a scheduled task, you add or remove a user on the Security tab. Once a user name is added to a scheduled task, you can set permissions for that user's involvement with the task.

You can set the following permissions for a scheduled task.

Permission | Allows
Full Control | Viewing, running, changing, deleting, and changing owner
Modify | Viewing, running, changing, and deleting
Read & Execute | Viewing and running
Read | Viewing
Write | Viewing, running, changing, and deleting

Notes

  • To view the security settings for a scheduled task, right-click the task, click Properties, and then click the Security tab.
  • To view or change advanced security settings, on the Security tab, click Advanced.